Package org.apache.sis.metadata.iso.acquisition

## Class DefaultAcquisitionInformation

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultAcquisitionInformation

- All Implemented Interfaces:
    `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `AcquisitionInformation`

      public class DefaultAcquisitionInformation
      extends ISOMetadata
      implements AcquisitionInformation

  Designations for the measuring instruments, the platform carrying them, and the mission to which the data contributes.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ModifiableMetadata

      `ModifiableMetadata​.State`

  - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultAcquisitionInformation()` | Constructs an initially empty acquisition information.
    `DefaultAcquisitionInformation​(AcquisitionInformation object)` | Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DefaultAcquisitionInformation` | `castOrCopy​(AcquisitionInformation object)` | Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `Collection<Plan>` | `getAcquisitionPlans()` | Returns the plan as implemented by the acquisition.
    `Collection<Requirement>` | `getAcquisitionRequirements()` | Returns the requirement the data acquisition intends to satisfy.
    `EnvironmentalRecord` | `getEnvironmentalConditions()` | Returns a record of the environmental circumstances during the data acquisition.
    `Collection<Instrument>` | `getInstruments()` | Returns the general information about the instrument used in data acquisition.
    `Collection<Objective>` | `getObjectives()` | Returns the area or object to be sensed.
    `Collection<Operation>` | `getOperations()` | Returns the general information about an identifiable activity which provided the data.
    `Collection<Platform>` | `getPlatforms()` | Returns the general information about the platform from which the data were taken.
    `void` | `setAcquisitionPlans​(Collection<? extends Plan> newValues)` | Sets the plan as implemented by the acquisition.
    `void` | `setAcquisitionRequirements​(Collection<? extends Requirement> newValues)` | Sets the requirement the data acquisition intends to satisfy.
    `void` | `setEnvironmentalConditions​(EnvironmentalRecord newValue)` | Sets the record of the environmental circumstances during the data acquisition.
    `void` | `setInstruments​(Collection<? extends Instrument> newValues)` | Sets the general information about the instrument used in data acquisition.
    `void` | `setObjectives​(Collection<? extends Objective> newValues)` | Sets the area or object to be sensed.
    `void` | `setOperations​(Collection<? extends Operation> newValues)` | Sets the general information about an identifiable activity which provided the data.
    `void` | `setPlatforms​(Collection<? extends Platform> newValues)` | Sets the general information about the platform from which the data were taken.

    - ### Methods inherited from class ISOMetadata

      `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, freeze, isModifiable, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, unmodifiable, writeCollection, writeList, writeMap, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAcquisitionInformation

          public DefaultAcquisitionInformation()

      Constructs an initially empty acquisition information.

    - #### DefaultAcquisitionInformation

          public DefaultAcquisitionInformation​(AcquisitionInformation object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(AcquisitionInformation)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultAcquisitionInformation castOrCopy​(AcquisitionInformation object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultAcquisitionInformation`, then it is returned unchanged.
      - Otherwise a new `DefaultAcquisitionInformation` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getAcquisitionPlans

          public Collection<Plan> getAcquisitionPlans()

      Returns the plan as implemented by the acquisition.
      Specified by:
        `getAcquisitionPlans` in interface `AcquisitionInformation`
      Returns:
        plan as implemented by the acquisition.

    - #### setAcquisitionPlans

          public void setAcquisitionPlans​(Collection<? extends Plan> newValues)

      Sets the plan as implemented by the acquisition.
      Parameters:
        `newValues` - the new plan values.

    - #### getAcquisitionRequirements

          public Collection<Requirement> getAcquisitionRequirements()

      Returns the requirement the data acquisition intends to satisfy.
      Specified by:
        `getAcquisitionRequirements` in interface `AcquisitionInformation`
      Returns:
        requirement the data acquisition intends to satisfy.

    - #### setAcquisitionRequirements

          public void setAcquisitionRequirements​(Collection<? extends Requirement> newValues)

      Sets the requirement the data acquisition intends to satisfy.
      Parameters:
        `newValues` - the new acquisition requirements values.

    - #### getEnvironmentalConditions

          public EnvironmentalRecord getEnvironmentalConditions()

      Returns a record of the environmental circumstances during the data acquisition. `null` if unspecified.
      Specified by:
        `getEnvironmentalConditions` in interface `AcquisitionInformation`
      Returns:
        record of the environmental circumstances, or `null`.

    - #### setEnvironmentalConditions

          public void setEnvironmentalConditions​(EnvironmentalRecord newValue)

      Sets the record of the environmental circumstances during the data acquisition.
      Parameters:
        `newValue` - the new environmental record value.

    - #### getInstruments

          public Collection<Instrument> getInstruments()

      Returns the general information about the instrument used in data acquisition.
      Specified by:
        `getInstruments` in interface `AcquisitionInformation`
      Returns:
        instrument used in data acquisition.

    - #### setInstruments

          public void setInstruments​(Collection<? extends Instrument> newValues)

      Sets the general information about the instrument used in data acquisition.
      Parameters:
        `newValues` - the new instruments values.

    - #### getObjectives

          public Collection<Objective> getObjectives()

      Returns the area or object to be sensed.
      Specified by:
        `getObjectives` in interface `AcquisitionInformation`
      Returns:
        area or object to be sensed.

    - #### setObjectives

          public void setObjectives​(Collection<? extends Objective> newValues)

      Sets the area or object to be sensed.
      Parameters:
        `newValues` - the new objectives values.

    - #### getOperations

          public Collection<Operation> getOperations()

      Returns the general information about an identifiable activity which provided the data.
      Specified by:
        `getOperations` in interface `AcquisitionInformation`
      Returns:
        identifiable activity which provided the data.

    - #### setOperations

          public void setOperations​(Collection<? extends Operation> newValues)

      Sets the general information about an identifiable activity which provided the data.
      Parameters:
        `newValues` - the new operations values.

    - #### getPlatforms

          public Collection<Platform> getPlatforms()

      Returns the general information about the platform from which the data were taken.
      Specified by:
        `getPlatforms` in interface `AcquisitionInformation`
      Returns:
        platform from which the data were taken.

    - #### setPlatforms

          public void setPlatforms​(Collection<? extends Platform> newValues)

      Sets the general information about the platform from which the data were taken.
      Parameters:
        `newValues` - the new platforms values.